Προβλημα ενημερωση λογισμικου!

Tον τελευταιο καιρο τα προβληματα στο linux mint Cinnamon 17.3 δε λενε να σταματήσουν εδω και δυο μερες μου βγαζει το παρακατω:
(Αποτυχία ανάκτησης του http://dl.google.com/linux/earth/deb/dists/stable/Release Unable to find expected entry ‘main/binary-i386/Packages’ in Release file (Wrong sources.list entry or malformed file)
Some index files failed to download. They have been ignored, or old ones used instead.)

Στο φάκελο /etc/apt/sources.list.d θα βρεις ένα αρχείο με όνομα google-earth-pro.list. Αυτό θα το κάνεις ως εξής

### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
# Απενεργοποιηση του αποθετηρίου
# deb http://dl.google.com/linux/earth/deb/ stable main

Η εντολή που θα χρησιμοποιήσεις στο :terminal: τερματικό είναι

sudo xed /etc/apt/sources.list.d/google-earth-pro.list

Με τον ίδιο τρόπο θα φτιάξεις ένα αρχείο με όνομα google-earth-pro2.listπου θα περιέχει τα παρακάτω

### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb [arch=amd64] http://dl.google.com/linux/earth/deb/ stable main

Επίσης μπορεί να έχεις μια έκδοση του google earth χωρίς καμία εγκατάσταση. Χρειάζεσαι να έχεις μόνο το chrome εγακατεστημένο, όχι το chromium και να πας στην διέυθυνση

https://earth.google.com/web/

Εννοείτε πως κρατάς το προγραμμα που χρησιμοποιείς τώρα για όλα τα υπόλοιπα.

Talos Μαλλον δεν το ανελισα σοστα και συγνωμη για αυτο, η ενημερωση λογισμικου μου φερνει το μηνυμα:Αδυναμία λήψης όλων των ευρετηρίων του αποθετηρίου

Το αποθετήριο μπορεί να μην είναι πλέον διαθέσιμο ή να μην είναι δυνατή η επικοινωνία με αυτό λόγω προβλημάτων δικτύου. Αν είναι διαθέσιμη, θα χρησιμοποιηθεί μια παλιότερη έκδοση του αποτυχημένου ευρετηρίου. Αλλιώς το αποθετήριο θα αγνοηθεί. Ελέγξτε τη σύνδεση δικτύου σας και σιγουρευτείτε πως η διεύθυνση του αποθετηρίου στις προτιμήσεις είναι σωστή. Αποτυχία ανάκτησης του http://dl.google.com/linux/earth/deb/dists/stable/Release Unable to find expected entry ‘main/binary-i386/Packages’ in Release file (Wrong sources.list entry or malformed file)
Some index files failed to download. They have been ignored, or old ones used instea

Το πρόβλημα είναι από την προηγούμενη εγκατάσταση που είχες (Αν θυμάμαι καλά από προηγούμενο thread).
Άνοιξε την ενημέρωση, πάτησε edit -> software sources και σε κάποιο μενού εκ των ppa και additional repositories θα υπάρχει και απλά το κάνεις untick.

ΥΓ. αυτά που δείχνω στην φωτό είναι τυχαία. εσύ θα ψάξεις το http://dl.google.com/linux/earth/deb/dists/stable/Release

1 Like

Το συγκεκριμένο πρόβλημα είναι γνωστό και οφείλετε στην Google. Έκανες αυτά που σου είπα και ακόμα το κάνει;

Παιδια εγω καταλαβαινω Ελληνικα η γερμανικα!

λογικά αν ξε-τσεκάρεις το τελευταίο, δεν θα σου βγάζει πρόβλημα.

1 Like

το τελευταιο google κατο to τσεκάρισα αλλα τιποτα

@bily μην ποσταρεις συνέχεια το output, απλά ενημέρωσε αν διορθώθηκε το πρόβλημα ή όχι. Και νομίζω ότι ο @likos σου είπε να μην έχεις τσεκαρισμένο το τελευταίο.

Σοστα το εκανα αλλα τιποτα!

Επίσης ξετσεκαρε την πρώτη επιλογή και επιλεξε την 2η και την 3η επιλογή.

δυστυχως τιποτα μου γραφει αποτυχια

Για βάλε ένα screenshot με το τι έχεις τσεκαρισμενο

Αυτό το μήνυμα που δείχνεις αναφέρεται στο Domain (την δεύτερη επιλογή). Τώρα επειδή σου βγάζει τόσα πολλά σφάλματα εικάζω ότι ή δεν έχεις internet ή θέλει να αλλάξεις software sources σε άλλο. Στα αριστερά επέλεξε την πρώτη επιλογή που πρέπει να λέει “επίσημο αποθετήριο” ή κάτι τέτοιο (στα αγγλικά official repositories) και λογικά θα σου έχει επιλεγμένο server από Ελλάδα, άλλαξε το σε κάτι άλλο πχ Αμερική να δεις τι παίζει.

Επίσης, έχειs την 17.3 από επιλογή; Γιατί δεν αναβαθμίζεις σε 19.1;

Η υποστήριξη για την σειρά 17 έληξε τον Απρίλιο του 2019. Η Ρόζα κυκλοφόρησε λίγο πριν την πρωτοχρονιά του 2016. Δεν λαμβάνει αναβαθμίσεις πλέον και θα πρέπει να περάσεις σε νέα έκδοση.

Στο Mint οι μεγάλες αναβαθμίσεις που κάνεις κάθε δυο χρόνια είναι πολύπλοκες και χρονοβόρες σε αντίθεση με τις απλές μέσα στην ίδια έκδοση. Μιας και πρέπει να κάνεις αυτή την διαδικασία δυο φορές, για να πας από την 17 στην 18 και από εκεί στην 19, προτείνω την δημιουργία αντιγράφου ασφαλείας με το Backup Tool σε εξωτερικό μέσο και εγκατάσταση της τελευταίας έκδοσης.

Eυχαριστω πολυ παιδια δηλαδη πρεπει να περασω καινουργιο λογισμικο! εγω δεν εχω τις γνώσεις να το κανω θα πρεπει να βρω καποιον αλλο να μου το περασει παντως σας ευχαριστώ πολύ για την βοηθεια!

Αν θέλεις αυτόματα, όταν ανοίγεις τον update manager στο μενού edit έχει μενού για αναβάθμιση.

δες εδώ, την δεύτερη εικόνα

https://www.tecmint.com/upgrade-to-linux-mint-19/

Θα πρέπει να γίνει η χρήση του mintupgrade από γραμμή εντολών δυο φορές. Επίσης θα πρέπει να γίνουν επιπλέον ενέργειες. Δεν είναι λοιπόν η βέλτιστη λύση, για κάποιον αρχάριο.

Αυτό που είναι καλύτερο να γίνει είναι

Κάτι που δεν θέλει ιδιαίτερες τεχνικές γνώσεις.

https://linuxmint-installation-guide.readthedocs.io/el/latest/